unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, MPDrivePanel, Spin;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    Edit1: TEdit;
    Button1: TButton;
    CheckBox1: TCheckBox;
    CheckBox3: TCheckBox;
    GroupBox2: TGroupBox;
    RadioGroup1: TRadioGroup;
    Label1: TLabel;
    SpinEdit1: TSpinEdit;
    Label2: TLabel;
    SpinEdit2: TSpinEdit;
    Label3: TLabel;
    SpinEdit3: TSpinEdit;
    CheckBox2: TCheckBox;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    Label4: TLabel;
    ComboBox1: TComboBox;
    Button2: TButton;
    CheckBox6: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure MPDrivePanel1ClickButton(Sender, Button: TObject;
      const ADrive: Char);
    procedure CheckBox2Click(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure SpinEdit2Change(Sender: TObject);
    procedure SpinEdit3Change(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure CheckBox5Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure CheckBox6Click(Sender: TObject);
    procedure MPDrivePanel1Resize(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
    procedure ComboBox1KeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure WMDeviceChange(Var Msg:TMessage); message WM_DEVICECHANGE;
  end;

var
  Form1: TForm1;
  MPDrivePanel1:TMPDrivePanel;
  
implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  MPDrivePanel1.Drive := Edit1.Text[1];
end;

procedure TForm1.MPDrivePanel1ClickButton(Sender, Button: TObject;
  const ADrive: Char);
begin
  Edit1.Text := ADrive+':';
  Caption := 'TMPDrivePanel Sample ['+ADrive+':]';
end;

procedure TForm1.WMDeviceChange(var Msg: TMessage);
begin
  if CheckBox1.Checked and MPDrivePanel1.HandleDeviceChange(Msg) // if drive(s) have been added/removed
  then
    Edit1.Text := MPDrivePanel1.Drive+':';
  inherited;
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  MPDrivePanel1.Flat := CheckBox2.Checked;
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
  MPDrivePanel1.Align := TAlign(RadioGroup1.ItemIndex+1);
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
  MPDrivePanel1.ButtonWidth := SpinEdit1.Value;
end;

procedure TForm1.SpinEdit2Change(Sender: TObject);
begin
  MPDrivePanel1.ButtonHeight := SpinEdit2.Value;

end;

procedure TForm1.SpinEdit3Change(Sender: TObject);
begin
  MPDrivePanel1.ButtonSpacing := SpinEdit3.Value;

end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
  if CheckBox3.Checked then
  begin
    MPDrivePanel1.GroupIndex := 1;
    MPDrivePanel1.Drive := (Edit1.Text+'C')[1];
    Edit1.Color := clWindow;
    Edit1.Enabled := True;
    Button1.Enabled := True;
  end
  else
  begin
    MPDrivePanel1.GroupIndex := 0;
    Edit1.Color := clBtnFace;
    Edit1.Enabled := False;
    Button1.Enabled := False;
    Edit1.Text := 'Undefined';
  end;
end;

procedure TForm1.CheckBox4Click(Sender: TObject);
begin
  MPDrivePanel1.ShowGlyphs := CheckBox4.Checked;
end;

procedure TForm1.CheckBox5Click(Sender: TObject);
begin
  MPDrivePanel1.ShowCaptions := CheckBox5.Checked;

end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  MPDrivePanel1.ButtonCaptionTemplate := ComboBox1.Text;
end;

procedure TForm1.CheckBox6Click(Sender: TObject);
begin
  MPDrivePanel1.Vertical := CheckBox6.Checked;
end;

procedure TForm1.MPDrivePanel1Resize(Sender: TObject);
begin
  CheckBox6.Checked := MPDrivePanel1.Vertical;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  MPDrivePanel1 := TMPDrivePanel.Create(Self);
  with MPDrivePanel1 do
  begin
    Parent := self;
    Left := 0;
    Top := 0;
    Width := 52;
    Height := 391;
    ButtonWidth := 48;
    ButtonHeight := 20;
    ButtonHintTemplate := 'Click the Button to access Drive "[DD]".';
    ButtonCaptionTemplate := '[DR]:\';
    Vertical := True;
    Align := alLeft;
    GroupIndex := 1;
    OnClickButton := MPDrivePanel1ClickButton;
    ParentShowHint := False;
    ShowHint := True;
    TabOrder := 2;
    OnResize := MPDrivePanel1Resize;
  end;
end;

procedure TForm1.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #13 then
  begin
    Key := #0;
    Button1.Click;
  end;
end;

procedure TForm1.ComboBox1KeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #13 then
  begin
    Key := #0;
    Button2.Click;
  end;

end;

end.
